%define name qmamecat
%define version 0.44
%define pre b46
%define rel 5
%define release 0.%{pre}.%mkrel %rel
%define distsuffix plf
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary: M.A.M.E. Catalog/Launcher
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.mameworld.net/mamecat/%{name}-%{version}.%{pre}.tar.bz2
License: GPL
URL: http://www.mameworld.net/mamecat
Group: Emulators
ExclusiveArch: %{ix86}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libqt3-devel
BuildRequires: groff
#Requires: xmame

%description
qmamecat is a M.A.M.E. Catalog/Launcher/FrontEnd to be used with xmame.

This package is in PLF because of Mandriva Linux policy forbidding P2P
software.

%prep
%setup -q -n %{name}

%build
export QTDIR=/usr/lib/qt3
export QT_MT=1
make COPTIM="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_menudir} \
	$RPM_BUILD_ROOT%{_mandir}/man6
install -m 755 bin/catgen $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/qmamecat $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/qmsetup $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/mamecat.6 $RPM_BUILD_ROOT%{_mandir}/man6/mamecat.6
ln -s mamecat.6 $RPM_BUILD_ROOT%{_mandir}/man6/qmamecat.6
ln -s mamecat.6 $RPM_BUILD_ROOT%{_mandir}/man6/catgen.6

(cd $RPM_BUILD_ROOT
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="qmamecat" \
title="MameCat" \
longtitle="An arcade emulator" \
icon="emulators_section.png" \
needs="x11" \
section="Applications/Emulators"
EOF
)

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc doc/CHANGES doc/FAQ doc/FAQ.german doc/CREDITS doc/README 
%doc doc/README.german doc/README.bindist doc/TODO doc/*.sample
%{_bindir}/*
%{_mandir}/man6/*
%attr(644,root,root) %{_menudir}/qmamecat

%changelog
* Mon Apr 24 2006 Götz Waschk <goetz@zarb.org> 0.44-0.b46.5plf
- Rebuild

* Mon Apr 11 2005 Gtz Waschk <goetz@zarb.org> 0.44-0.b46.4plf
- mkrel
- fix description
- drop dep on xmame

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.44-0.b46.3plf
- fix description

* Tue Jun  3 2003 Gtz Waschk <goetz@plf.zarb.org> 0.44-0.b46.2plf
- fix buildrequires

* Tue Apr  8 2003 Gtz Waschk <goetz@plf.zarb.org> 0.44-0.b46.1plf
- new version

* Sat Feb 15 2003 Gtz Waschk <goetz@plf.zarb.org> 0.44-0.b45.1plf
- new version

* Sun Feb  9 2003 Gtz Waschk <goetz@plf.zarb.org> 0.44-0.b44.1plf
- new version

* Fri Dec  6 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.44-0.b42.1plf
- initial plf version

* Mon Oct 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.44-0.b42.1mdk
- 0.44b42
- fix icon
- fix doc section
- qt3
- reintroduce to contribs, this version works with gcc3.2

* Sat Jan 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.43-1mdk
- version 0.43.
- removed Patch0 (-string).

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.42.b3-3mdk
- Move in Emulators (menu).
- Use standard icon for menu entry.

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.42.b3-2mdk
- Rebuild against Qt 2.3.0

* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.42.b3-1mdk
- initial release.
